New: use Extruct search and tables from Claude, Codex, and more with the remote MCP server.
New: use Extruct search and tables from Claude, Codex, and more with the remote MCP server.
Delete column by ID.
curl --request DELETE \
--url https://api.extruct.ai/v1/tables/{table_id}/columns/{column_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"config": {
"name": "<string>",
"key": "<string>",
"kind": "input"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.extruct.ai/llms.txt
Use this file to discover all available pages before exploring further.
export EXTRUCT_API_TOKEN="YOUR_API_TOKEN"
export TABLE_ID="YOUR_TABLE_ID"
export COLUMN_ID="YOUR_COLUMN_ID"
curl -X DELETE "https://api.extruct.ai/v1/tables/${TABLE_ID}/columns/${COLUMN_ID}" \
-H "Authorization: Bearer ${EXTRUCT_API_TOKEN}"
table_id (required): target table identifier.column_id (required): target column identifier.401 UnauthorizedAuthorization: Bearer ${EXTRUCT_API_TOKEN}.
404 Not FoundBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successful Response
Show child attributes
curl --request DELETE \
--url https://api.extruct.ai/v1/tables/{table_id}/columns/{column_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"config": {
"name": "<string>",
"key": "<string>",
"kind": "input"
}
}